tbb::flow::interface8::dependency_msg< T, Factory > Class Template Reference

## Public Types

typedef T | value_type

## Public Member Functions

| dependency_msg (const T &data)
| dependency_msg (opencl_graph &g, const T &data)
| dependency_msg (const T &data, cl_event event)
T & | data (bool wait=true)
const T & | data (bool wait=true) const
| dependency_msg (const dependency_msg &dmsg)
| dependency_msg (dependency_msg &&dmsg)
dependency_msg & | operator= (const dependency_msg &dmsg)
cl_event const * | get_event () const
void | set_event (cl_event e) const
void | set_graph (graph &g)
void | clear_event () const
template<typename Callback >
void | register_callback (Callback c) const
| operator T & ()
| operator const T & () const

The documentation for this class was generated from the following file:

- flow_graph_opencl_node.h

Copyright © 2005-2015 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.